> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取目标类型架构

> 获取配置特定交付目的地类型（如 s3、sftp、gcs 或 webhook）所需的确切字段和凭证。

每个由 Bright Data 支持的交付目标都有自己的字段集。例如，`s3` 需要一个 `bucket` 和访问密钥/密钥对或 IAM 角色 ARN 加外部 ID，而 `sftp` 需要主机和凭证字段。使用您计划使用的目标类型调用此端点，然后在调用 [更新视图交付设置](/api-reference/marketplace-dataset-api/update-view-delivery-settings) 时在 `deliver` 对象中提供返回的字段。

<Tip>
  首先使用 [获取交付选项](/api-reference/marketplace-dataset-api/get-delivery-options) 列出可以作为 `destination_type` 传递的有效值。
</Tip>


## OpenAPI

````yaml api-reference/dca-api GET /datasets/delivery_settings/{destination_type}/schema
openapi: 3.1.0
info:
  title: Brightdata API
  description: API for interaction with datasets marketplace
  version: 1.0.0
servers:
  - url: https://api.brightdata.com
security:
  - bearerAuth: []
paths:
  /datasets/delivery_settings/{destination_type}/schema:
    get:
      description: >-
        Returns the exact fields required for a specific delivery destination
        type (for example `s3`, `sftp`, `gcs`, `webhook`). Use this to discover
        which credentials and parameters must be supplied when updating a view's
        delivery settings.
      parameters:
        - name: destination_type
          in: path
          description: >-
            The identifier of the delivery strategy. Supported values:
            `api_pull`, `webhook`, `email`, `gcs`, `gcp_pubsub`, `s3`,
            `snowflake`, `ali_oss`, `sftp`, `azure`.
          required: true
          schema:
            type: string
            example: s3
      responses:
        '200':
          description: Schema for the requested destination type
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  properties:
                    type: object
              example:
                name: s3
                properties:
                  bucket:
                    type: string
                    required: true
                  credentials:
                    type: object
                    required: false
                    or:
                      - aws-access-key:
                          type: string
                          required: true
                        aws-secret-key:
                          type: string
                          required: true
                      - role_arn:
                          type: string
                          required: true
                        external_id:
                          type: string
                          required: true
                  region:
                    type: string
                    required: false
                  directory:
                    type: string
                    required: false
                  endpoint_url:
                    type: string
                    required: false
        '404':
          description: Unknown destination type
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Destination type not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use your Bright Data API Key as a Bearer token in the Authorization
        header.


        **How to authenticate:**

        1. Obtain your API Key from the Bright Data account settings at
        https://brightdata.com/cp/setting/users

        2. Include the API Key in the Authorization header of your requests

        3. Format: `Authorization: Bearer YOUR_API_KEY`


        **Example:**

        ```

        Authorization: Bearer YOUR_API_KEY

        ```


        Learn how to get your Bright Data API key:
        https://docs.brightdata.com/api-reference/authentication
      bearerFormat: API Key

````